<%
   if form.obj.has_key?('_resolved')
     selected_json =  form.obj['_resolved'].to_json
   else
     selected_json = "{}"
   end

   exclude_ids = [] if exclude_ids.blank?
   field_label ||= I18n.t("resource._singular") + " and/or " + I18n.t("archival_object._singular")
   layout ||= "horizontal"

%>
<div class="form-group required">
   <label class="control-label <%= layout != 'stacked' ? 'col-sm-2' : '' %>"
          id="<%= form.id_for("ref") %>_label"
          for="<%= form.id_for("ref") %>">
     <%= field_label %>
   </label>
   <div class="controls <%= layout != 'stacked' ? 'col-sm-8' : ''%>"
        role="combobox"
        aria-owns="<%= form.id_for("ref") %>_listbox"
        id="<%= form.id_for("ref") %>_combobox">
       <div class="input-group linker-wrapper">
          <input type="text" 
            class="linker"
            id="<%= form.id_for("ref") %>"
            aria-autocomplete="both"
            aria-controls="<%= form.id_for("ref") %>_listbox"
            aria-labelledby="<%= form.id_for("ref") %>_label"
            data-label="<%= I18n.t("resource._singular") %> and/or <%= I18n.t("archival_object._singular") %>"
            data-label_plural="<%= I18n.t("resource._plural") %> and/or <%= I18n.t("archival_object._plural") %>"
            data-path="<%= form.path %>"
            data-name="ref"
            data-url="<%= url_for :controller => :search, :action => :do_search, :format => :json %>"
            data-browse-url="<%= url_for :controller => :search, :action => :do_search, :format => :js, :facets => SearchResultData.RESOURCE_FACETS, :exclude => exclude_ids %>"
            data-selected="<%= selected_json %>"
            data-format_property="title"
            data-multiplicity="one"
            data-types='["resource","archival_object"]'
            data-exclude='<%= exclude_ids.to_json %>'
          />
          
          <% if form.obj.has_key?('_resolved') %>
          
            <input type="text" 
              class='prelinker' 
              name="<%= form.path %>[_resolved]"
              value="<%= selected_json %>" />
              
            <input type="text" 
              class='prelinker' 
              name="<%= form.path %>[ref]"
              value="<%= form.obj["ref"] %>" />

         <% end %>
         <div class="input-group-btn">
           <a class="btn btn-default dropdown-toggle last" data-toggle="dropdown" href="javascript:void(0);" title="Link to resource/archival object" aria-label="Link to resource/archival object"><span class="caret"></span></a>
           <ul class="dropdown-menu">
             <li><a href="javascript:void(0);" class="linker-browse-btn"><%= I18n.t("actions.browse") %></a></li>
           </ul>
         </div>
       </div>
   </div>
</div>
